curl --request GET \
--url https://platform.kodexa.ai/api/organizations/{id} \
--header 'x-api-key: <api-key>'import requests
url = "https://platform.kodexa.ai/api/organizations/{id}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://platform.kodexa.ai/api/organizations/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"authGroupLink": {
"authGroup": "<string>"
},
"changeSequence": 123,
"createdOn": "2023-11-07T05:31:56Z",
"defaultToPrivateTemplates": true,
"description": "Document processing organization for Acme Corp.",
"enterpriseOrganization": true,
"features": {},
"hasImage": true,
"id": "550e8400-e29b-41d4-a716-446655440000",
"memory": {
"orderedDashboards": [
"<string>"
]
},
"name": "Acme Corp",
"organizationStatus": "ACTIVE",
"properties": {},
"publicAccess": true,
"searchText": "<string>",
"slug": "acme-corp",
"stripeCustomerId": "<string>",
"supportAccess": true,
"supportAccessExpiresAt": "2023-11-07T05:31:56Z",
"updatedOn": "2023-11-07T05:31:56Z",
"uuid": "550e8400e29b41d4a716446655440000",
"archived": true
}Get Organization by ID
Retrieves a single Organization by its unique identifier. Organizations are the top-level tenant in Kodexa. All projects, stores, and resources belong to an organization.
Authorizations
API key for authentication. Create one from the Kodexa platform UI under Settings > Access Tokens.
Path Parameters
Unique identifier (UUID) of the resource.
Response
The Organization
An organization is the top-level tenant in Kodexa. All projects, stores, and resources belong to an organization.
Show child attributes
Show child attributes
Optimistic locking version number, incremented on each update.
Timestamp when the organization was created.
Whether new templates default to private access.
Human-readable description of the organization.
"Document processing organization for Acme Corp."
Whether this is an enterprise-tier organization.
Feature flags enabled for the organization.
Show child attributes
Show child attributes
Whether the organization has a profile image.
Unique identifier (UUID) for the organization.
"550e8400-e29b-41d4-a716-446655440000"
Organization-level memory and configuration.
Show child attributes
Show child attributes
Display name of the organization.
"Acme Corp"
Current status of the organization (e.g., ACTIVE, SUSPENDED).
"ACTIVE"
Arbitrary key-value properties for the organization.
Show child attributes
Show child attributes
Whether the organization is publicly visible.
Full-text searchable representation of the organization.
URL-friendly identifier, 3-100 characters. Automatically lowercased. Pattern: ^[a-z0-9-]+$
"acme-corp"
Whether Kodexa support has been granted access.
When support access expires.
Timestamp when the organization was last updated.
Secondary UUID identifier.
"550e8400e29b41d4a716446655440000"
